#
# Newsboat's example config
#

####  always-display-description
#
# If true, then the description will always be displayed even if e.g. a
# content:encoded tag has been found.
#
# Syntax: [true/false]
#
# Default value: false
#
# always-display-description true

####  always-download
#
# The parameters of this configuration command are one or more RSS URLs. These
# URLs will always get downloaded, regardless of their Last-Modified timestamp
# and ETag header.
#
# Syntax: <url> [<url>]
#
# Default value: n/a
#
# always-download "http://www.n-tv.de/23.rss"

####  article-sort-order
#
# The sortfield specifies which article property shall be used for sorting
# (currently available: date, title, flags, author, link, guid). The optional
# direction specifies the sort direction ("asc" specifies ascending sorting,
# "desc" specifies descending sorting. for date, "desc" is default, for all
# others, "asc" is default).
#
# Syntax: <sortfield>[-<direction>]
#
# Default value: date
#
# article-sort-order author-desc

####  articlelist-format
#
# This variable defines the format of entries in the article list. See the
# respective section in the documentation for more information on format
# strings.
#
# Syntax: <format>
#
# Default value: "%4i %f %D %6L  %?T?|%-17T|  ?%t"
#
# articlelist-format "%4i %f %D   %?T?|%-17T|  ?%t"

####  articlelist-title-format
#
# Format of the title in article list. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Articles in feed '%T' (%u unread, %t total) - %U"
#
# articlelist-title-format "Articles in feed '%T' (%u unread)"

####  auto-reload
#
# If enabled, all feeds will be automatically reloaded at start up and then
# continuously after a certain time has passed (see reload-time).
#
# Syntax: [yes/no]
#
# Default value: no
#
# auto-reload yes

####  bind-key
#
# Bind key <key> to <operation>. This means that whenever <key> is pressed,
# then <operation> is executed (if applicable in the current dialog). A list of
# available operations can be found below. Optionally, you can specify a
# dialog. If you specify one, the key binding will only be added to the
# specified dialog. Available dialogs are "all" (default if none is specified),
# "feedlist", "filebrowser", "help", "articlelist", "article", "tagselection",
# "filterselection", "urlview" and "podbeuter".
#
# Syntax: <key> <operation> [<dialog>]
#
# Default value: n/a
#
# bind-key ^R reload-all

####  bookmark-autopilot
#
# If set to yes, the configured bookmark command is executed without any
# further input asked from user, unless the url or the title cannot be
# found/guessed.
#
# Syntax: [yes/no]
#
# Default value: no
#
# bookmark-autopilot yes

####  bookmark-cmd
#
# If set, then <command> will be used as bookmarking plugin. See the
# documentation on bookmarking for further information.
#
# Syntax: <command>
#
# Default value: ""
#
# bookmark-cmd "~/bin/delicious-bookmark.sh"

####  bookmark-interactive
#
# If set to yes, then the configured bookmark command is an interactive
# program.
#
# Syntax: [yes/no]
#
# Default value: no
#
# bookmark-interactive yes

####  browser
#
# Set the browser command to use when opening an article in the browser. If
# <command> contains %u, it will be used as complete commandline and %u will be
# replaced with the URL that shall be opened.
#
# Syntax: <command>
#
# Default value: lynx
#
# browser "w3m %u"

####  cache-file
#
# This configuration option sets the cache file. This is especially useful if
# the filesystem of your home directory doesn't support proper locking (e.g.
# NFS).
#
# Syntax: <path>
#
# Default value: "~/.newsboat/cache.db"
#
# cache-file "/tmp/testcache.db"

####  cleanup-on-quit
#
# If yes, then the cache gets locked and superfluous feeds and items are
# removed, such as feeds that can't be found in the urls configuration file
# anymore.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# cleanup-on-quit no

####  color
#
# Set the foreground color, background color and optional attributes for a
# certain element
#
# Syntax: <element> <fgcolor> <bgcolor> [<attribute> ...]
#
# Default value: n/a
#
# color background white black

####  confirm-exit
#
# If set to yes, then newsboat will ask for confirmation whether the user
# really wants to quit newsboat.
#
# Syntax: [yes/no]
#
# Default value: no
#
# confirm-exit yes

####  cookie-cache
#
# Set a cookie cache. If set, then cookies will be cached (i.e. read from and
# written to) in this file.
#
# Syntax: <path>
#
# Default value: ""
#
# cookie-cache "~/.newsboat/cookies.txt"

####  datetime-format
#
# This format specifies the date/time format in the article list. For a
# detailed documentation on the allowed formats, consult the manpage of
# strftime(3).
#
# Syntax: <date/time format>
#
# Default value: %b %d
#
# datetime-format "%D, %R"

####  define-filter
#
# With this command, you can predefine filters, which you can later select from
# a list, and which are then applied after selection. This is especially useful
# for filters that you need often and you don't want to enter them every time
# you need them.
#
# Syntax: <name> <filterexpr>
#
# Default value: n/a
#
# define-filter "all feeds with 'fun' tag" "tags # \"fun\""

####  delete-read-articles-on-quit
#
# If set to "yes", then all read articles will be deleted when you quit
# newsboat.
#
# Syntax: [yes/no]
#
# Default value: "no"
#
# delete-read-articles-on-quit yes

####  dialogs-title-format
#
# Format of the title in dialog list. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Dialogs"
#
# dialogs-title-format "%N %V - Dialogs"

####  display-article-progress
#
# If set to yes, then a read progress (in percent) is displayed in the article
# view. Otherwise, no read progress is displayed.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# display-article-progress no

####  download-full-page
#
# If set to yes, then for all feed items with no content but with a link, the
# link is downloaded and the result used as content instead. This may
# significantly increase the download times of "empty" feeds.
#
# Syntax: [yes/no]
#
# Default value: no
#
# download-full-page yes

####  download-retries
#
# How many times newsboat shall try to successfully download a feed before
# giving up. This is an option to improve the success of downloads on slow and
# shaky connections such as via a TOR proxy.
#
# Syntax: <number>
#
# Default value: 1
#
# download-retries 4

####  download-timeout
#
# The number of seconds newsboat shall wait when downloading a feed before
# giving up. This is an option to improve the success of downloads on slow and
# shaky connections such as via a TOR proxy.
#
# Syntax: <number>
#
# Default value: 30
#
# download-timeout 60

####  error-log
#
# If set, then user errors (e.g. errors regarding defunct RSS feeds) will be
# logged to this file.
#
# Syntax: <path>
#
# Default value: ""
#
# error-log "~/.newsboat/error.log"

####  external-url-viewer
#
# If set, then "show-urls" will pipe the current article to a specific external
# tool instead of using the internal URL viewer. This can be used to integrate
# tools such as urlview.
#
# Syntax: <command>
#
# Default value: ""
#
# external-url-viewer "urlview"

####  feed-sort-order
#
# If set to "firsttag", the feeds in the feed list will be sorted by their
# first tag in the urls file.
#
# Syntax: <sortorder>
#
# Default value: none
#
# feed-sort-order firsttag

####  feedhq-flag-share
#
# If this is set and FeedHQ support is used, then all articles that are flagged
# with the specified flag are being "shared" in FeedHQ so that people that
# follow you can see it.
#
# Syntax: <flag>
#
# Default value: ""
#
# feedhq-flag-share "a"

####  feedhq-flag-star
#
# If this is set and FeedHQ support is used, then all articles that are flagged
# with the specified flag are being "starred" in FeedHQ and appear in the list
# of "Starred items".
#
# Syntax: <flag>
#
# Default value: ""
#
# feedhq-flag-star "b"

####  feedhq-login
#
# This variable sets your FeedHQ login for FeedHQ support.
#
# Syntax: <login>
#
# Default value: ""
#
# feedhq-login "your-login"

####  feedhq-min-items
#
# This variable sets the number of articles that are loaded from FeedHQ per
# feed.
#
# Syntax: <number>
#
# Default value: 20
#
# feedhq-min-items 100

####  feedhq-password
#
# This variable sets your FeedHQ password for FeedHQ support. Double quotes
# should be escaped, i.e. you should write +{backslash}"+ instead of +"+.
#
# Syntax: <password>
#
# Default value: ""
#
# feedhq-password "here_goesAquote:\""

####  feedhq-passwordfile
#
# A more secure alternative to the above, by storing your password elsewhere in
# your system.
#
# Syntax: <path>
#
# Default value: ""
#
# feedhq-passwordfile "~/.newsboat/feedhq-pw.txt"

####  feedhq-passwordeval
#
# Another secure alternative, is providing your password from an external
# command that is evaluated during login. This can be used to read your
# password from a gpg encrypted file or your system keyring.
#
# Syntax: <command>
#
# Default value: ""
#
# feedhq-passwordeval "command some-parameter"

####  feedhq-show-special-feeds
#
# If this is set, then "special feeds" like "People you follow" (articles
# shared by people you follow), "Starred items" (your starred articles) and
# "Shared items" (your shared articles) appear in your subscription list.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# feedhq-show-special-feeds "no"

####  feedhq-url
#
# Configures the URL where your FeedHQ instance resides.
#
# Syntax: <url>
#
# Default value: "https://feedhq.org/"
#
# feedhq-url "https://feedhq.example.com/"

####  feedlist-format
#
# This variable defines the format of entries in the feed list. See the
# respective section in the documentation for more information on format
# strings.
#
# Syntax: <format>
#
# Default value: "%4i %n %11u %t"
#
# feedlist-format " %n %4i - %11u -%> %t"

####  feedlist-title-format
#
# Format of the title in feed list. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "N %V - Your feeds (%u unread, %t total)%?T? - tag `%T'&?"
#
# feedlist-title-format "Feeds (%u unread, %t total)"

####  filebrowser-title-format
#
# Format of the title in file browser. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - %?O?Open File&Save File? - %f"
#
# filebrowser-title-format "%?O?Open File&Save File? - %f"

####  goto-first-unread
#
# If set to yes (the default), then the first unread article will be selected
# whenever a feed is entered.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# goto-first-unread no

####  goto-next-feed
#
# If set to yes, then the next-unread, prev-unread and random-unread keys will
# search in other feeds for unread articles if all articles in the current feed
# are read. If set to no, then these keys will stop in the current feed.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# goto-next-feed no

####  help-title-format
#
# Format of the title in help window. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Help"
#
# help-title-format "%N %V - Help"

####  highlight
#
# With this command, you can highlight text parts in the feed list, the article
# list and the article view. For a detailed documentation, see the chapter on
# highlighting.
#
# Syntax: <target> <regex> <fgcolor> [<bgcolor> [<attribute> ...]]
#
# Default value: n/a
#
# highlight all "newsboat" red

####  highlight-article
#
# With this command, you can highlight articles in the article list if they
# match a filter expression. For a detailed documentation, see the chapter on
# highlighting.
#
# Syntax: <filterexpr> <fgcolor> <bgcolor> [<attribute> ...]
#
# Default value: n/a
#
# highlight-article "author =~ \"Andreas Krennmair\"" white red bold

####  history-limit
#
# Defines the maximum number of entries of commandline resp. search history to
# be saved. To disable history saving, set history-limit to 0.
#
# Syntax: <number>
#
# Default value: 100
#
# history-limit 0

####  html-renderer
#
# If set to "internal", then the internal HTML renderer will be used.
# Otherwise, the specified command will be executed, the HTML to be rendered
# will be written to the command's stdin, and the program's output will be
# displayed. This makes it possible to use other, external programs, such as
# w3m, links or lynx, to render HTML.
#
# Syntax: <command>
#
# Default value: internal
#
# html-renderer "w3m -dump -T text/html"

####  http-auth-method
#
# Set HTTP authentication method. Allowed values: any, basic, digest, digest_ie
# (only available with libcurl 7.19.3 and newer), gssnegotiate, ntlm, anysafe.
#
# Syntax: <method>
#
# Default value: any
#
# http-auth-method digest

####  ignore-article
#
# If a downloaded article from <feed> matches <filterexpr>, then it is ignored
# and not presented to the user. This command is further explained in the "kill
# file" section below.
#
# Syntax: <feed> <filterexpr>
#
# Default value: n/a
#
# ignore-article "*" "title =~ \"Windows\""

####  ignore-mode
#
# This configuration option defines in what way an article is ignored (see
# ignore-article). If set to "download", then it is ignored in the
# download/parsing phase (which is the default) and thus never written to the
# cache, if it set to "display", it is ignored when displaying articles but is
# kept in the cache.
#
# Syntax: [download/display]
#
# Default value: download
#
# ignore-mode "display"

####  include
#
# With this command, you can include other files to be interpreted as
# configuration files. This is especially useful to separate your configuration
# into several files, e.g. key configuration, color configuration, ...
#
# Syntax: <path>
#
# Default value: n/a
#
# include "~/.newsboat/colors"

####  itemview-title-format
#
# Format of the title in article view. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Article '%T' (%u unread, %t total)"
#
# itemview-title-format "Article '%T'"

####  inoreader-flag-share
#
# If this is set and Inoreader support is used, then all articles that are
# flagged with the specified flag are being "shared" in Inoreader so that
# people that follow you can see it.
#
# Syntax: <flag>
#
# Default value: ""
#
# inoreader-flag-share "a"

####  inoreader-flag-star
#
# If this is set and Inoreader support is used, then all articles that are
# flagged with the specified flag are being "starred" in Inoreader and appear
# in the list of "Starred items".
#
# Syntax: <flag>
#
# Default value: ""
#
# inoreader-flag-star "b"

####  inoreader-login
#
# This variable sets your Inoreader login for Inoreader support.
#
# Syntax: <login>
#
# Default value: ""
#
# inoreader-login "your-login"

####  inoreader-min-items
#
# This variable sets the number of articles that are loaded from Inoreader per
# feed.
#
# Syntax: <number>
#
# Default value: 20
#
# inoreader-min-items 100

####  inoreader-password
#
# This variable sets your Inoreader password for Inoreader support. Double
# quotes should be escaped, i.e. you should write +{backslash}"+ instead of
# +"+.
#
# Syntax: <password>
#
# Default value: ""
#
# inoreader-password "here_goesAquote:\""

####  inoreader-passwordfile
#
# A more secure alternative to the above, by storing your password elsewhere in
# your system.
#
# Syntax: <path>
#
# Default value: ""
#
# inoreader-passwordfile "~/.newsboat/inoreader-pw.txt"

####  inoreader-passwordeval
#
# Another secure alternative, is providing your password from an external
# command that is evaluated during login. This can be used to read your
# password from a gpg encrypted file or your system keyring.
#
# Syntax: <command>
#
# Default value: ""
#
# inoreader-passwordeval "command some-parameter"

####  inoreader-show-special-feeds
#
# If this is set, then "special feeds" like "Starred items" (your starred
# articles) and "Shared items" (your shared articles) appear in your
# subscription list.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# inoreader-show-special-feeds "no"

####  keep-articles-days
#
# If set to a number greater than 0, only articles that are were published
# within the last <number> days are kept, and older articles are deleted. If
# set to 0 (default value), this option is not active. Note that changing this
# setting won't bring back the articles that were deleted earlier; currently,
# there's no non-hacky way to bring back deleted articles.
#
# Syntax: <number>
#
# Default value: 0
#
# keep-articles-days 30

####  macro
#
# With this command, you can define a macro key and specify a list of commands
# that shall be executed when the macro prefix and the macro key are pressed.
#
# Syntax: <macro key> <command list>
#
# Default value: n/a
#
# macro k open ; reload ; quit

####  mark-as-read-on-hover
#
# If set to yes, then all articles that get selected in the article list are
# marked as read.
#
# Syntax: [yes/no]
#
# Default value: no
#
# mark-as-read-on-hover yes

####  max-download-speed
#
# If set to a number great than 0, the download speed per download is set to
# that limit (in kB).
#
# Syntax: <number>
#
# Default value: 0
#
# max-download-speed 50

####  max-browser-tabs
#
# Set the maximum number of articles to open in a browser when using the
# open-all-unread-in-browser or open-all-unread-in-browser-and-mark-read
# commands.
#
# Syntax: <number>
#
# Default value: 10
#
# max-browser-tabs 4

####  max-items
#
# Set the number of articles to maximally keep per feed. If the number is set
# to 0, then all articles are kept.
#
# Syntax: <number>
#
# Default value: 0
#
# max-items 100

####  newsblur-login
#
# This variable sets your NewsBlur login for NewsBlur support.
#
# Syntax: <login>
#
# Default value: ""
#
# newsblur-login "your-login"

####  newsblur-min-items
#
# This variable sets the number of articles that are loaded from NewsBlur per
# feed.
#
# Syntax: <number>
#
# Default value: 20
#
# newsblur-min-items 100

####  newsblur-password
#
# This variable sets your NewsBlur password for Newsblur support. Double quotes
# should be escaped, i.e. you should write +{backslash}"+ instead of +"+.
#
# Syntax: <password>
#
# Default value: ""
#
# newsblur-password "here_goesAquote:\""

####  newsblur-passwordfile
#
# A more secure alternative to the above, by storing your password elsewhere in
# your system.
#
# Syntax: <path>
#
# Default value: ""
#
# newsblur-passwordfile "~/.newsboat/newsblur-pw.txt"

####  newsblur-passwordeval
#
# Another secure alternative, is providing your password from an external
# command that is evaluated during login. This can be used to read your
# password from a gpg encrypted file or your system keyring.
#
# Syntax: <command>
#
# Default value: ""
#
# newsblur-passwordeval "command some-parameter"

####  newsblur-url
#
# Configures the URL where the newsblur instance resides.
#
# Syntax: <url>
#
# Default value: "https://newsblur.com"
#
# newsblur-url "https://localhost"

####  notify-always
#
# If no, notifications will only be made when there are new feeds or articles.
# If yes, notifications will be made regardless.
#
# Syntax: [yes/no]
#
# Default value: no
#
# notify-always yes

####  notify-beep
#
# If yes, then the speaker beep on new articles.
#
# Syntax: [yes/no]
#
# Default value: no
#
# notify-beep yes

####  notify-format
#
# Format string that is used for formatting notifications. See the chapter on
# format strings for more information.
#
# Syntax: <string>
#
# Default value: "newsboat: finished reload, %f unread feeds (%n unread articles total)"
#
# notify-format "%d new articles (%n unread articles, %f unread feeds)"

####  notify-program
#
# If set, then the configured program will be executed if new articles arrived
# (through a reload) or if notify-always is true. The first parameter of the
# called program contains the notification message.
#
# Syntax: <command>
#
# Default value: ""
#
# notify-program "~/bin/my-notifier"

####  notify-screen
#
# If yes, then a "privacy message" will be sent to the terminal, containing a
# notification message about new articles. This is especially useful if you use
# terminal emulations such as GNU screen which implement privacy messages.
#
# Syntax: [yes/no]
#
# Default value: no
#
# notify-screen yes

####  notify-xterm
#
# If yes, then the xterm window title will be set to a notification message
# about new articles.
#
# Syntax: [yes/no]
#
# Default value: no
#
# notify-xterm yes

####  ocnews-flag-star
#
# If this is set and ownCloud News support is used, then all articles that are
# flagged with the specified flag are being "starred" in ownCloud News.
#
# Syntax: <character>
#
# Default value: ""
#
# ocnews-flag-star "s"

####  ocnews-login
#
# Sets the username to use with the ownCloud instance.
#
# Syntax: <username>
#
# Default value: ""
#
# ocnews-login "user"

####  ocnews-password
#
# Configures the password to use with the ownCloud instance. Double quotes
# should be escaped, i.e. you should write +{backslash}"+ instead of +"+.
#
# Syntax: <password>
#
# Default value: ""
#
# ocnews-password "here_goesAquote:\""

####  ocnews-passwordfile
#
# A more secure alternative to the above, by storing your password elsewhere in
# your system.
#
# Syntax: <path>
#
# Default value: ""
#
# ocnews-passwordfile "~/.newsboat/ocnews-pw.txt"

####  ocnews-passwordeval
#
# Another secure alternative, is providing your password from an external
# command that is evaluated during login. This can be used to read your
# password from a gpg encrypted file or your system keyring.
#
# Syntax: <command>
#
# Default value: ""
#
# ocnews-passwordeval "command some-parameter"

####  ocnews-url
#
# Configures the URL where the ownCloud instance resides.
#
# Syntax: <url>
#
# Default value: ""
#
# ocnews-url "https://localhost/owncloud"

####  oldreader-flag-share
#
# If this is set and The Old Reader support is used, then all articles that are
# flagged with the specified flag are being "shared" in The Old Reader so that
# people that follow you can see it.
#
# Syntax: <flag>
#
# Default value: ""
#
# oldreader-flag-share "a"

####  oldreader-flag-star
#
# If this is set and The Old Reader support is used, then all articles that are
# flagged with the specified flag are being "starred" in The Old Reader and
# appear in the list of "Starred items".
#
# Syntax: <flag>
#
# Default value: ""
#
# oldreader-flag-star "b"

####  oldreader-login
#
# This variable sets your The Old Reader login for The Older Reader support.
#
# Syntax: <login>
#
# Default value: ""
#
# oldreader-login "your-login"

####  oldreader-min-items
#
# This variable sets the number of articles that are loaded from The Old Reader
# per feed.
#
# Syntax: <number>
#
# Default value: 20
#
# oldreader-min-items 100

####  oldreader-password
#
# This variable sets your The Old Reader password for The Old Reader support.
# Double quotes should be escaped, i.e. you should write +{backslash}"+ instead
# of +"+.
#
# Syntax: <password>
#
# Default value: ""
#
# oldreader-password "here_goesAquote:\""

####  oldreader-passwordfile
#
# A more secure alternative to the above, by storing your password elsewhere in
# your system.
#
# Syntax: <path>
#
# Default value: ""
#
# oldreader-passwordfile "~/.newsboat/oldreader-pw.txt"

####  oldreader-passwordeval
#
# Another secure alternative, is providing your password from an external
# command that is evaluated during login. This can be used to read your
# password from a gpg encrypted file or your system keyring.
#
# Syntax: <command>
#
# Default value: ""
#
# oldreader-passwordeval "command some-parameter"

####  oldreader-show-special-feeds
#
# If this is set, then "special feeds" like "People you follow" (articles
# shared by people you follow), "Starred items" (your starred articles) and
# "Shared items" (your shared articles) appear in your subscription list.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# oldreader-show-special-feeds "no"

####  openbrowser-and-mark-jumps-to-next-unread
#
# If set to yes, jump to the next unread item when an item is opened in the
# browser and marked as read.
#
# Syntax: [yes/no]
#
# Default value: no
#
# openbrowser-and-mark-jumps-to-next-unread yes

####  opml-url
#
# If the OPML online subscription mode is enabled, then the list of feeds will
# be taken from the OPML file found on this location. Optionally, you can
# specify more than one URL. All the listed OPML URLs will then be taken into
# account when loading the feed list.
#
# Syntax: <url> ...
#
# Default value: ""
#
# opml-url "http://host.domain.tld/blogroll.opml" "http://example.com/anotheropmlfile.opml"

####  pager
#
# If set to "internal", then the internal pager will be used. Otherwise, the
# article to be displayed will be rendered to be a temporary file and then
# displayed with the configured pager. If the command is set to an empty
# string, the content of the "PAGER" environment variable will be used. If the
# command contains a placeholder "%f", it will be replaced with the temporary
# filename.
#
# Syntax: [<command>/internal]
#
# Default value: internal
#
# pager "less %f"

####  podcast-auto-enqueue
#
# If yes, then all podcast URLs that are found in articles are added to the
# podcast download queue. See the respective section in the documentation for
# more information on podcast support in newsboat.
#
# Syntax: [yes/no]
#
# Default value: no
#
# podcast-auto-enqueue yes

####  prepopulate-query-feeds
#
# If yes, then all query feeds are prepopulated with articles on startup.
#
# Syntax: [yes/no]
#
# Default value: no
#
# prepopulate-query-feeds yes

####  ssl-verifyhost
#
# If no, skip verification of the certificate's name against host.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# ssl-verifyhost no

####  ssl-verifypeer
#
# If no, skip verification of the peer's SSL certificate.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# ssl-verifypeer no

####  proxy-auth-method
#
# Set proxy authentication method. Allowed values: any, basic, digest,
# digest_ie (only available with libcurl 7.19.3 and newer), gssnegotiate, ntlm,
# anysafe.
#
# Syntax: <method>
#
# Default value: any
#
# proxy-auth-method ntlm

####  proxy-auth
#
# Set the proxy authentication string.
#
# Syntax: <auth>
#
# Default value: n/a
#
# proxy-auth user:password

####  proxy-type
#
# Set proxy type. Allowed values: http, socks4, socks4a, socks5, socks5h.
#
# Syntax: <type>
#
# Default value: http
#
# proxy-type socks5

####  proxy
#
# Set the proxy to use for downloading RSS feeds. (Don't forget to actually
# enable the proxy with `use-proxy yes`.)
#
# Syntax: <server:port>
#
# Default value: n/a
#
# proxy localhost:3128

####  refresh-on-startup
#
# If yes, then all feeds will be reloaded when newsboat starts up. This is
# equivalent to the -r commandline option.
#
# Syntax: [yes/no]
#
# Default value: no
#
# refresh-on-startup yes

####  reload-only-visible-feeds
#
# If yes, then manually reloading all feeds will only reload the currently
# visible feeds, e.g. if a filter or a tag is set.
#
# Syntax: [yes/no]
#
# Default value: no
#
# reload-only-visible-feeds yes

####  reload-threads
#
# The number of parallel reload threads that shall be started when all feeds
# are reloaded.
#
# Syntax: <number>
#
# Default value: 1
#
# reload-threads 3

####  reload-time
#
# The number of minutes between automatic reloads.
#
# Syntax: <number>
#
# Default value: 60
#
# reload-time 120

####  reset-unread-on-update
#
# With this configuration command, you can provide a list of RSS feed URLs for
# whose articles the unread flag will be reset if an article has been updated,
# i.e. its content has been changed. This is especially useful for RSS feeds
# where single articles are updated after publication, and you want to be
# notified of the updates.
#
# Syntax: <url> ...
#
# Default value: n/a
#
# reset-unread-on-update "http://blog.fefe.de/rss.xml?html"

####  save-path
#
# The default path where articles shall be saved to. If an invalid path is
# specified, the current directory is used.
#
# Syntax: <path-to-directory>
#
# Default value: ~/
#
# save-path "~/Saved Articles"

####  search-highlight-colors
#
# This configuration command specifies the highlighting colors when searching
# for text from the article view.
#
# Syntax: <fgcolor> <bgcolor> [<attribute> ...]
#
# Default value: black yellow bold
#
# search-highlight-colors white black bold

####  searchresult-title-format
#
# Format of the title in search result. See "Format Strings" section of
# Newsboat manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Search result (%u unread, %t total)"
#
# searchresult-title-format "Search result"

####  selectfilter-title-format
#
# Format of the title in filter selection dialog. See "Format Strings" section
# of Newsboat manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Select Filter"
#
# selectfilter-title-format "Select Filter"

####  selecttag-title-format
#
# Format of the title in tag selection dialog. See "Format Strings" section of
# Newsboat manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - Select Tag"
#
# selecttag-title-format "Select Tag"

####  show-keymap-hint
#
# If no, then the keymap hints on the bottom of screen will not be displayed.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# show-keymap-hint no

####  show-read-articles
#
# If yes, then all articles of a feed are listed in the article list. If no,
# then only unread articles are listed.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# show-read-articles no

####  show-read-feeds
#
# If yes, then all feeds, including those without unread articles, are listed.
# If no, then only feeds with one or more unread articles are list.
#
# Syntax: [yes/no]
#
# Default value: yes
#
# show-read-feeds no

####  suppress-first-reload
#
# If yes, then the first automatic reload will be suppressed if auto-reload is
# set to yes.
#
# Syntax: [yes/no]
#
# Default value: no
#
# suppress-first-reload yes

####  swap-title-and-hints
#
# If yes, then the title at the top of screen and keymap hints at the bottom of
# screen will be swapped.
#
# Syntax: [yes/no]
#
# Default value: no
#
# swap-title-and-hints yes

####  text-width
#
# If set to a number greater than 0, all HTML will be rendered to this maximum
# line length or the terminal width (whichever is smaller). If set to 0, the
# terminal width will always be used. Does not apply when using external
# renderer or viewing the source. Also note that "Link" header and "Links"
# section won't be affected by it—they contain URLs which are better not
# wrapped.
#
# Syntax: <number>
#
# Default value: 0
#
# text-width 72

####  toggleitemread-jumps-to-next-unread
#
# If set to yes, jump to the next unread item when an item's read status is
# toggled in the articlelist.
#
# Syntax: [yes/no]
#
# Default value: no
#
# toggleitemread-jumps-to-next-unread yes

####  ttrss-flag-publish
#
# If this is set and Tiny Tiny RSS support is used, then all articles that are
# flagged with the specified flag are being marked as "published" in Tiny Tiny
# RSS.
#
# Syntax: <character>
#
# Default value: ""
#
# ttrss-flag-publish "b"

####  ttrss-flag-star
#
# If this is set and Tiny Tiny RSS support is used, then all articles that are
# flagged with the specified flag are being "starred" in Tiny Tiny RSS.
#
# Syntax: <character>
#
# Default value: ""
#
# ttrss-flag-star "a"

####  ttrss-login
#
# Sets the username for use with Tiny Tiny RSS.
#
# Syntax: <username>
#
# Default value: ""
#
# ttrss-login "admin"

####  ttrss-mode
#
# Configures the mode in which Tiny Tiny RSS is used. In single-user mode,
# login and password are used for HTTP authentication, while in multi-user
# mode, they are used for authenticating with Tiny Tiny RSS.
#
# Syntax: [multi/single]
#
# Default value: multi
#
# ttrss-mode "single"

####  ttrss-password
#
# Configures the password for use with Tiny Tiny RSS. Double quotes should be
# escaped, i.e. you should write +{backslash}"+ instead of +"+.
#
# Syntax: <password>
#
# Default value: ""
#
# ttrss-password "here_goesAquote:\""

####  ttrss-passwordfile
#
# A more secure alternative to the above, by storing your password elsewhere in
# your system.
#
# Syntax: <path>
#
# Default value: ""
#
# ttrss-passwordfile "~/.newsboat/ttrss-pw.txt"

####  ttrss-passwordeval
#
# Another secure alternative, is providing your password from an external
# command that is evaluated during login. This can be used to read your
# password from a gpg encrypted file or your system keyring.
#
# Syntax: <command>
#
# Default value: ""
#
# ttrss-passwordeval "command some-parameter"

####  ttrss-url
#
# Configures the URL where the Tiny Tiny RSS installation you want to use
# resides.
#
# Syntax: <url>
#
# Default value: ""
#
# ttrss-url "http://example.com/ttrss/"

####  unbind-key
#
# Unbind key <key>. This means that no operation is called when <key> is
# pressed. Optionally, you can specify a dialog (for a list of available
# dialogs, see "bind-key" above). If you specify one, the key binding will only
# be unbound for the specified dialog.
#
# Syntax: <key> [<dialog>]
#
# Default value: n/a
#
# unbind-key R

####  urls-source
#
# This configuration command sets the source where URLs shall be retrieved
# from. By default, this is ~/.newsboat/urls. Alternatively, you can set it to
# "opml", which enables newsboat's OPML online subscription mode, to "ttrss"
# which enables newsboat's Tiny Tiny RSS support, to "oldreader", which enables
# newsboat's The Old Reader support, to "newsblur", which enables NewsBlur
# support, or "feedhq" for FeedHQ support, or "ocnews" for ownCloud News
# support, or "inoreader" for Inoreader support. Query feed specifications will
# be read from the local urls file regardless of this setting.
#
# Syntax: <source>
#
# Default value: "local"
#
# urls-source "oldreader"

####  urlview-title-format
#
# Format of the title in URL view. See "Format Strings" section of Newsboat
# manual for details on available formats.
#
# Syntax: <format>
#
# Default value: "%N %V - URLs"
#
# urlview-title-format "URLs"

####  use-proxy
#
# If yes, then the configured proxy will be used for downloading the RSS feeds.
#
# Syntax: [yes/no]
#
# Default value: no
#
# use-proxy yes

####  user-agent
#
# If set to a non-zero-length string, this value will be used as HTTP
# User-Agent header for all HTTP requests.
#
# Syntax: <string>
#
# Default value: ""
#
# user-agent "Lynx/2.8.5rel.1 libwww-FM/2.14"

